Debian Bug report logs - #626912
needs update for live-build 3.x

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>

Date: Mon, 16 May 2011 10:48:15 UTC

Severity: grave

Merged with 653310

Found in version live-magic/1.14

Fixed in version 1.14+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#626912; Package live-build. (Mon, 16 May 2011 10:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 May 2011 10:48:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
To: submit@bugs.debian.org
Subject: live-magic: fails to build live cd (error invoking live-build)
Date: Mon, 16 May 2011 12:46:20 +0200
Package: live-build
Version: 1.4
Severity: grave

Hello. It seems that live-magic doesn't work. This is probably related
to error invoking live-build (3.0~a16-1):


* cd "/home/grzesiek/pliki/roboczy/livecd/live_0.1/DebianLive"; lb
  config --ignore-system-defaults --packages-lists='standard'
  --mirror-bootstrap='http://ftp.pl.debian.org/debian/' --cache-packages='false' --bootappend-live='locale=en_US.UTF_8 keyb=us' --cache-stages='none' --architecture='i386' --debian-installer='false' --distribution='lenny' --binary-images='iso'
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/LiveMagic/controllers/wizard.py",
  line 50, in on_wizard_apply
    self.model = Config(build_dir, **data)
  File "/usr/lib/pymodules/python2.6/DebianLive/__init__.py", line 55,
  in __init__
    raise IOError, out
IOError: live-build: unrecognized option '--packages-lists=standard'


No matter what options are selected in live-magic:


* cd "/home/grzesiek/pliki/roboczy/livecd/live_0.1/DebianLive"; lb
  config --ignore-system-defaults --packages-lists='gnome-desktop'
  --mirror-bootstrap='http://ftp.pl.debian.org/debian/' --language='en'
  --cache-packages='false' --bootappend-live='locale=en_GB.UTF-8
  keyb=us' --cache-stages='none' --architecture='amd64'
  --debian-installer='false' --distribution='squeeze'
  --binary-images='iso' Traceback (most recent call last): File
  "/usr/lib/pymodules/python2.6/LiveMagic/controllers/wizard.py", line
  50, in on_wizard_apply self.model = Config(build_dir, **data) File
  "/usr/lib/pymodules/python2.6/DebianLive/__init__.py", line 55, in
  __init__ raise IOError, out IOError: live-build: unrecognized option
  '--packages-lists=gnome-desktop'



Severity grave justification: makes live-magic package useless.


Regards,
 Grzegorz Bizon

--
 ntsn.pl software development
 http://ntsn.pl/en




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#626912; Package live-build. (Mon, 16 May 2011 10:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 May 2011 10:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 626912@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
Cc: 626912@bugs.debian.org
Subject: Re: Bug#626912: live-magic: fails to build live cd (error invoking live-build)
Date: Mon, 16 May 2011 12:50:49 +0200
reassign 626912 live-magic
retitle 626912 needs update for live-build 3.x
thanks

On 05/16/2011 12:46 PM, Grzegorz Bizon wrote:
> Hello. It seems that live-magic doesn't work. This is probably related
> to error invoking live-build (3.0~a16-1):

this is not a bug in live-build, live-magic needs to be updated for 
live-build 3.x.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-build' to 'live-magic'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 May 2011 10:54:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.4. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 May 2011 10:54:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'needs update for live-build 3.x' from 'live-magic: fails to build live cd (error invoking live-build)' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 May 2011 10:54:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#626912; Package live-magic. (Mon, 16 May 2011 11:22:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 May 2011 11:22:44 GMT) Full text and rfc822 format available.

Message #21 received at 626912@bugs.debian.org (full text, mbox):

From: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
To: daniel.baumann@progress-technologies.net
Cc: 626912@bugs.debian.org
Subject: Re: Bug#626912: live-magic: fails to build live cd (error invoking live-build)
Date: Mon, 16 May 2011 13:14:54 +0200
Dnia 2011-05-16, o godz. 12:50:49
Daniel Baumann <daniel.baumann@progress-technologies.net> napisaƂ(a):

> reassign 626912 live-magic
> retitle 626912 needs update for live-build 3.x
> thanks
> 
> On 05/16/2011 12:46 PM, Grzegorz Bizon wrote:
> > Hello. It seems that live-magic doesn't work. This is probably
> > related to error invoking live-build (3.0~a16-1):
> 
> this is not a bug in live-build, live-magic needs to be updated for 
> live-build 3.x.

Sorry, I don't know why I submitted this bug to live-build, I was, of
course, thinking about reporting it to live-magic. 

Thanks for correction !

Regards,
 Grzegorz Bizon

-- 
 ntsn.pl software development
 http://ntsn.pl/en




Forcibly Merged 626912 653310. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 26 Dec 2011 19:39:03 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 22:22:16 GMT) Full text and rfc822 format available.

Notification sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 22:22:16 GMT) Full text and rfc822 format available.

Message #28 received at 626912-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 555897-done@bugs.debian.org,584123-done@bugs.debian.org,620036-done@bugs.debian.org,626912-done@bugs.debian.org,635082-done@bugs.debian.org,640637-done@bugs.debian.org,653310-done@bugs.debian.org,
Cc: live-magic@packages.debian.org, live-magic@packages.qa.debian.org
Subject: Bug#666991: Removed package(s) from unstable
Date: Thu, 05 Apr 2012 21:47:17 +0000
Version: 1.14+rm

Dear submitter,

as the package live-magic has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/666991

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 22:22:17 GMT) Full text and rfc822 format available.

Notification sent to Cyril Roelandt <tipecaml@gmail.com>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 22:22:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:57:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.